package hu.tigra.eing.ingatlan.inyer.data;

import hu.tigra.eing.common.core.annotation.AdditionalApiModel;
import hu.tigra.eing.common.entities.mdm.MDMStringReference;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(description = "Egyes bejegyzésekre történő hivatkozás")
@AdditionalApiModel
public class BejegyzesHivatkozasDTO implements Serializable {

    @Schema(description = "Melyik tulajdonlap részre történő a hivatkozás", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long tullapresz;

    @Schema(description = "Az adott tulajdonlap részen belül melyik sorszámú bejegyzésre vonatkozik a hivatkozás", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long bejegyzesSorszam;

    @Schema(description = "Valódi hivatkozás-e vagy fordított hivatkozás (true: a bejegyzés hivatkozik ezen másik bejegyzésre; false: a kérdéses bejegyzésre hivatkozik a másik bejegyzés")
    private boolean hivatkozas;

    @Schema(description = "a hivatkozás típusa")
    private MDMStringReference hivatkozasTipus;

    @Schema(description = "Melyik kiegészítő adat típusnak megfelelően jött létre a hivatkozás")
    private Long jtKiegeszitoAdatTipusId;

    @Schema(description = "Aktív-e a hivatkozás vagy lejárt")
    private Boolean aktivFl;

}
