package hu.tigra.eing.ingatlan.inyer.adatvaltozas.alapadat;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.time.Instant;

@Data
@Schema(description = "Ingatlan adataiban történő változások mindig valamilyen határozat útján módosulnak.")
public class HatarozatDTO {

    @Schema(description = "Adat forrásának meghatározása (SZL, OCCR, betöltés)", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank
    private String forrasrendszer;
    @Schema(description = "Adott forrásrendszerben nyilvántartott ügyre történő hivatkozás", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull
    private Long forrasrendszerUgyAzonosito;
    @Schema(description = "EING rendszerben nyilvántartott ügy iktatószáma", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank
    private String iktatoszam;
    @Schema(description = "Határozat keletkezésének dátuma")
    private Instant hatarozatDatum;
    @Schema(description = "Határozat száma", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank
    private String hatarozatszam;
    @Schema(description = "Megjegyzés")
    private String megjegyzes;
}


