package hu.tigra.eing.ingatlan.inyer.data;

import hu.tigra.eing.common.core.message.Response;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.Instant;

/**
 * Széljegy adatait leíró osztály (bővebb)
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "Széljegy adatait leíró osztály (bővebb)")
public class SzeljegyResponseDTO extends SzeljegyDTO implements Comparable<SzeljegyResponseDTO>, Serializable, Response {

    @Schema(description = "Széljegy eredeti rangsorszáma", example = "10")
    private Long eredetiRangsor;
    @Schema(description = "Széljegy aktuális rangsorszáma", example = "3")
    private Long rangsor;
    @Schema(description = "Lezáró művelet dátuma")
    private Instant lezarasDatum;
    @Schema(description = "Létrehozó művelet időpontja")
    private Instant letrehozasDatum;
    @Schema(description = "Aktív-e a rekord (1-Igen, 0-Nem)")
    private Boolean aktivFl;

    @Override
    public int compareTo(SzeljegyResponseDTO o) {
        if (o == null) {
            return 1;
        } else if (this.getRangsor() == null && o.getRangsor() == null) {
            return 0;
        } else if (this.getRangsor() == null) {
            return -1;
        } else if (o.getRangsor() == null) {
            return 1;
        }
        return this.getRangsor().intValue() - o.getRangsor().intValue();
    }
}
